<div >
  <mat-toolbar class="navbar-container">
    <button mat-button [routerLink]="['home']" routerLinkActive="router-link-active">
      <i class="material-icons">
        home
      </i> Home
    </button>

    <div>
      <div *ngIf="!this.loggedUserData" class="user-auth">
        <button mat-button [routerLink]="['users/register']" routerLinkActive="router-link-active">
          <i class="material-icons">
            account_circle
          </i> Register
        </button>

        <button mat-button [routerLink]="['users/login']" routerLinkActive="router-link-active">
          <i class="material-icons">
            account_circle
          </i> Login
        </button>

      </div>

      <div *ngIf="this.loggedUserData " class="user-actions">
        <button mat-button class="username" (click)="this.goToUserProfile()">
          <i class="material-icons">
            account_circle
          </i>
          {{ loggedUserData.username }} 
        </button>
        <button mat-button [routerLink]="['translation']" routerLinkActive="router-link-active" *ngIf='this.translationPermission'>
          Translation
        </button>
        <button mat-button [routerLink]="['users']" routerLinkActive="router-link-active" *ngIf='this.adminPermission'>
          Users
        </button>

        <button mat-button (click)="this.logout()">
          <i class="material-icons">
            exit_to_app
          </i> Logout
        </button>
      </div>
    </div>
  </mat-toolbar>
</div>
